LINUX.ORG.RU

Сообщения xCubanoid

 

Не работает sftp в prоftpd на Ubuntu 16.04

Всем привет.
Имею две примерно одинаковые системы. На обоих установлен proftpd с идентичными конфигами. Один работает как часы, второй не работает вообще. Т.е. пользователь подключается, а потом ничего не происходит: не отдается список каталогов итп... В режиме отладки в логах появляются такие вот записи:

POST_CMD_ERR command 'SSH-2.0-LIBSSH2_1.5.0' to mod_exec
LOG_CMD_ERR command 'SSH-2.0-LIBSSH2_1.5.0' to mod_log

Больше ничего странного или необычного нигде не нашел. Подскажите, пожалуйста хотя бы в какую сторону копать? Спасибо!
Фрагмент конфига относящийся к sftp:

<IfModule mod_sftp.c>
 <VirtualHost hostname>
        SFTPEngine on
        Port 2222
        SFTPLog /var/log/proftpd/sftp.log
        DefaultRoot                     ~
        AllowOverwrite on
        # Configure both the RSA and DSA host keys, using the same host key
        # files that OpenSSH uses.
        SFTPHostKey /etc/ssh/ssh_host_rsa_key
        SFTPHostKey /etc/ssh/ssh_host_dsa_key
        
        SFTPAuthMethods password
        
        #SFTPAuthorizedUserKeys file:/etc/proftpd/authorized_keys/%u

        # Enable compression
        SFTPCompression delayed

 </VirtualHost>
</IfModule>

 

xCubanoid ()

Сборка и обновление ядра Ubuntu

Есть железный сервер с Ubuntu 14.04 и ядром 4.2.0 на сервере установлена NVME плата. Хочу обновить ядро до 4.4.0. Проблема в том что NVME в ядрах убунты по умолчанию не поддерживается и ее надо включать при сборке. Собираю ядро как написано здесь: http://itpeernetwork.intel.com/upgrade-to-a-nvme-capable-linux-kernel/

Само ядро беру отсюда: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-wily/

Т.е исходники скачиваю из гита по ссылке потом накладываю патчи потом собираю и устанавливаю. В результате описанные манипуляций у меня на сервере появляется ядро 4.9.0-rc4 а не 4.4.0 как я ожидал. Что я делаю не так?

 , ,

xCubanoid ()

RSS подписка на новые темы